# ChangeLog for sys-cluster/util-vserver
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-cluster/util-vserver/ChangeLog,v 1.75 2007/02/09 15:41:33 hollow Exp $

  09 Feb 2007; Benedikt Böhm <hollow@gentoo.org>
  files/util-vserver-0.30.212-vsomething-fix.patch:
  finally fix vsomething patch

  07 Feb 2007; Benedikt Böhm <hollow@gentoo.org>
  files/util-vserver-0.30.212-vsomething-fix.patch:
  fix vsomething patch

*util-vserver-0.30.212-r2 (05 Feb 2007)

  05 Feb 2007; Benedikt Böhm <hollow@gentoo.org>
  +files/util-vserver-0.30.212-vsomething-fix.patch,
  +util-vserver-0.30.212-r2.ebuild:
  fix vsomething argument handling

  21 Jan 2007; Benedikt Böhm <hollow@gentoo.org>
  -util-vserver-0.30.210-r13.ebuild, -util-vserver-0.30.211.ebuild,
  util-vserver-0.30.212-r1.ebuild:
  remove old ebuilds; remove autotools eclass; cleanup depends

*util-vserver-0.30.212-r1 (21 Jan 2007)

  21 Jan 2007; Christian Heim <phreak@gentoo.org>
  files/util-vserver-0.30.212-initpost.patch, -util-vserver-0.30.212.ebuild,
  +util-vserver-0.30.212-r1.ebuild:
  Revision bump, fixing the initpost patch (thanks to Karel Hala <stripe at
  suchdol.net> in #163045).

  20 Jan 2007; Christian Heim <phreak@gentoo.org>
  +files/util-vserver-0.30.212-initpost.patch, util-vserver-0.30.212.ebuild:
  Adding a patch to fix runlevel scripts for older baselayouts.
  util-vserver-0.30.212 going stable on amd64 and x86.

  20 Jan 2007; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.212.ebuild:
  Dropping the explicit DEPEND/RDEPEND on sys-process/procps, as that is already
  contained in base/packages (thus the system target on all arches). Moving away
  from the extra ugly myconf-stuff, putting it all in econf's hand. Unifying
  `make install' and `make install-distribution'. Adjusting the pkg_postinst to
  use elog instead of einfo. Adding a hint, if upgrading to >0.30.211, as the
  init-scripts changed.

  21 Dec 2006; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.210-r13.ebuild, util-vserver-0.30.211.ebuild,
  util-vserver-0.30.212.ebuild:
  Providing a symlink for /sbin/vshelper, so on a new install you don't need
  to touch /etc/sysctl.conf.

  21 Dec 2006; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.211.ebuild:
  Stabling util-vserver-0.30.211 on amd64 and x86.

*util-vserver-0.30.212 (09 Dec 2006)

  09 Dec 2006; Benedikt Böhm <hollow@gentoo.org>
  +files/util-vserver-0.30.212-wrapper.patch, +files/bash_completion,
  +files/init.d/vprocunhide, +files/init.d/vservers.default,
  -util-vserver-0.30.210-r17.ebuild, -util-vserver-0.30.210-r18.ebuild,
  +util-vserver-0.30.212.ebuild:
  version bump; cleanup

*util-vserver-0.30.211 (07 Oct 2006)

  07 Oct 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.211.ebuild:
  Version bump.

  26 Sep 2006; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.210-r13.ebuild, util-vserver-0.30.210-r17.ebuild,
  util-vserver-0.30.210-r18.ebuild:
  util-vserver-0.30.210 needs =automake-1.9*, fixing DEPEND. This fixes
  #149085 (thanks to Matthias FooBar <genzilla at genfoo.de> for reporting).

  07 Sep 2006; Benedikt Böhm <hollow@gentoo.org>
  util-vserver-0.30.210-r18.ebuild:
  add legacy API use flag for older kernels

*util-vserver-0.30.210-r18 (06 Sep 2006)

  06 Sep 2006; Benedikt Böhm <hollow@gentoo.org>
  +util-vserver-0.30.210-r18.ebuild:
  patch reordering; bash-completion; yum 2.6 support; misc fixes

*util-vserver-0.30.210-r17 (24 Jul 2006)

  24 Jul 2006; Benedikt Böhm <hollow@gentoo.org>
  -util-vserver-0.30.210-r14.ebuild, -util-vserver-0.30.210-r15.ebuild,
  -util-vserver-0.30.210-r16.ebuild, +util-vserver-0.30.210-r17.ebuild:
  fix patch tarballs, d'oh

*util-vserver-0.30.210-r16 (23 Jul 2006)

  23 Jul 2006; Benedikt Böhm <hollow@gentoo.org>
  +util-vserver-0.30.210-r16.ebuild:
  fix vschedcalc, thanks to Wilhelm Meier

*util-vserver-0.30.210-r15 (09 Jul 2006)

  09 Jul 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.210-r15.ebuild:
  Revision bump, fixing some rpm related issues

  01 Jul 2006; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.210-r13.ebuild, util-vserver-0.30.210-r14.ebuild:
  Explicitly define the RDEPEND, dev-libs/dietlibc isn't needed as RDEPEND,
  since all packages linked against dietlibc are compiled static

*util-vserver-0.30.210-r14 (25 Jun 2006)

  25 Jun 2006; Benedikt Böhm <hollow@gentoo.org>
  -util-vserver-0.30.210-r12.ebuild, +util-vserver-0.30.210-r14.ebuild:
  fix start-vservers, update keywords

  06 May 2006; Benedikt Böhm <hollow@gentoo.org>
  -util-vserver-0.30.209-r1.ebuild, util-vserver-0.30.210-r13.ebuild:
  0.30.210-r13 stable on amd/x86

*util-vserver-0.30.210-r13 (22 Apr 2006)

  22 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r13.ebuild:
  fix #130783

  14 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  -util-vserver-0.30.210-r11.ebuild, util-vserver-0.30.210-r12.ebuild:
  0.30.210-r12 stable on amd64/x86; fixes bug #129914

*util-vserver-0.30.210-r12 (13 Apr 2006)

  13 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r12.ebuild:
  remove obsolete patches; CPUSET support; Fedora Core 5 + CentOS4 support;
  minor other fixes; thanks to Daniel Hokka Zakrisson

*util-vserver-0.30.210-r11 (12 Apr 2006)

  12 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  -util-vserver-0.30.210-r9.ebuild, -util-vserver-0.30.210-r10.ebuild,
  +util-vserver-0.30.210-r11.ebuild:
  the r10 tarball got borked

*util-vserver-0.30.210-r10 (12 Apr 2006)

  12 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r10.ebuild:
  vlogin fixes; new delete command; add vserver ... clone; clone(2) fix for
  sparc64

*util-vserver-0.30.210-r9 (06 Apr 2006)

  06 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  -util-vserver-0.30.210-r4.ebuild, -util-vserver-0.30.210-r5.ebuild,
  -util-vserver-0.30.210-r6.ebuild, -util-vserver-0.30.210-r7.ebuild,
  -util-vserver-0.30.210-r8.ebuild, +util-vserver-0.30.210-r9.ebuild:
  guess what! vlogin fixes! + cleanup

*util-vserver-0.30.210-r8 (05 Apr 2006)

  05 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r8.ebuild:
  vlogin fixes again

*util-vserver-0.30.210-r7 (03 Apr 2006)

  03 Apr 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r7.ebuild:
  secure chcontext; syscall update

*util-vserver-0.30.210-r6 (16 Mar 2006)

  16 Mar 2006; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.210-r6.ebuild:
  fix testsuite; fix vlogin

*util-vserver-0.30.210-r5 (12 Mar 2006)

  12 Mar 2006; Christian Heim <phreak@gentoo.org>
  -util-vserver-0.30.210-r3.ebuild, +util-vserver-0.30.210-r5.ebuild:
  Revision bump (new patchset, introducing Benedikt's vlogin proxy, finally
  deprecating init-style gentoo); Removing old ebuild

  02 Mar 2006; Benedikt Boehm <hollow@gentoo.org>
  util-vserver-0.30.210-r4.ebuild:
  keep /var/cache/vservers

*util-vserver-0.30.210-r4 (26 Feb 2006)

  26 Feb 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.210-r4.ebuild:
  Revision bump (again, sorry for that); Updating the Gentoo related tools,
  adding the vprocunhide patch thanks to Oliver Welter

*util-vserver-0.30.210-r3 (23 Feb 2006)

  23 Feb 2006; Benedikt Boehm <hollow@gentoo.org>
  -util-vserver-0.30.210.ebuild, -util-vserver-0.30.210-r1.ebuild,
  -util-vserver-0.30.210-r2.ebuild, +util-vserver-0.30.210-r3.ebuild:
  remove skeleton patch; cleanup

*util-vserver-0.30.210-r2 (18 Feb 2006)

  18 Feb 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.210-r2.ebuild:
  Fixing default vprocunhide list; rev bumping

*util-vserver-0.30.210-r1 (23 Jan 2006)

  23 Jan 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.210-r1.ebuild:
  Removing util-vserver-0.30.208-fix-lockfile.c.patch from the patchset,
  revbumping

*util-vserver-0.30.210 (22 Jan 2006)

  22 Jan 2006; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.210.ebuild:
  Version bump

  06 Jan 2006; Christian Heim <phreak@gentoo.org>
  -util-vserver-0.30.208-r5.ebuild:
  Removing old version, since the newer version has the same KEYWORDS and is
  additionally stable on AMD64

  24 Dec 2005; Benedikt Boehm <hollow@gentoo.org>
  -util-vserver-0.30.209.ebuild, util-vserver-0.30.209-r1.ebuild:
  209-r1 to stable amd64 and x86

  12 Dec 2005; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.208-r5.ebuild, util-vserver-0.30.209.ebuild,
  util-vserver-0.30.209-r1.ebuild:
  Removing COPYING from our dodoc in src_install()

*util-vserver-0.30.209-r1 (01 Dec 2005)

  01 Dec 2005; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.209-r1.ebuild:
  bug fixes; move to default-linux profiles

  26 Nov 2005; Benedikt Boehm <hollow@gentoo.org> -files/vprocunhide,
  -files/vserver-new_dev-fix.patch,
  -files/vserver-new_drop-defaulttar.patch, -files/vservers.confd,
  -files/vservers.initd, -util-vserver-0.30.205-r1.ebuild,
  util-vserver-0.30.208-r5.ebuild, util-vserver-0.30.209.ebuild:
  208-r5 to stable x86; cleanup

  26 Nov 2005; Christian Heim <phreak@gentoo.org>
  -util-vserver-0.30.208-r3.ebuild, -util-vserver-0.30.208-r4.ebuild,
  util-vserver-0.30.208-r5.ebuild, util-vserver-0.30.209.ebuild:
  Fixing SRC_URI; cleaning up old ebuilds

*util-vserver-0.30.209 (12 Nov 2005)

  12 Nov 2005; Christian Heim <phreak@gentoo.org>
  +util-vserver-0.30.209.ebuild:
  Version bump

*util-vserver-0.30.208-r5 (27 Oct 2005)

  27 Oct 2005; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.208-r5.ebuild:
  many bugfixes, mainly vserver-new and gentoo-functions.sh

*util-vserver-0.30.208-r4 (13 Oct 2005)

  13 Oct 2005; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.208-r4.ebuild:
  mostly updates to gentoo tools

  04 Oct 2005; Benedikt Boehm <hollow@gentoo.org>
  +files/vserver-new_drop-defaulttar.patch, util-vserver-0.30.208-r3.ebuild:
  drop support for downloading a default stage tar

  02 Oct 2005; Christian Heim <phreak@gentoo.org>
  util-vserver-0.30.205-r1.ebuild:
  Adding dependency upon sys-process/procps; Fixing bug #106910

  01 Oct 2005; Benedikt Boehm <hollow@gentoo.org>
  +files/vserver-new_dev-fix.patch, util-vserver-0.30.208-r3.ebuild:
  fix /dev issue in vserver-new

  01 Oct 2005; Christian Heim <phreak@gentoo.org> metadata.xml:
  Fixing metadata.xml; Thanks Jakub

*util-vserver-0.30.208-r3 (01 Oct 2005)

  01 Oct 2005; Benedikt Boehm <hollow@gentoo.org>
  -files/0.30.208-r1/vservers.confd, -files/0.30.208-r1/vservers.initd,
  -util-vserver-0.30.207.ebuild, -util-vserver-0.30.208.ebuild,
  -util-vserver-0.30.208-r1.ebuild, -util-vserver-0.30.208-r2.ebuild,
  +util-vserver-0.30.208-r3.ebuild:
  lockfile fix; hardened fix; syscall updates; new init script; cleanup

*util-vserver-0.30.208-r2 (30 Aug 2005)

  30 Aug 2005; Benedikt Boehm <hollow@gentoo.org>
  util-vserver-0.30.205-r1.ebuild, util-vserver-0.30.207.ebuild,
  util-vserver-0.30.208.ebuild, util-vserver-0.30.208-r1.ebuild,
  +util-vserver-0.30.208-r2.ebuild:
  add back dietlibc support; add -r2 with a new tar (includes new fixes)

  28 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  util-vserver-0.30.205-r1.ebuild, util-vserver-0.30.207.ebuild,
  util-vserver-0.30.208.ebuild, util-vserver-0.30.208-r1.ebuild:
  Punt USE=diet.

  11 Aug 2005; Carlos Silva <r3pek@gentoo.org>
  util-vserver-0.30.208-r1.ebuild:
  marked ~amd64. closes bug #90317

*util-vserver-0.30.208-r1 (03 Aug 2005)

  03 Aug 2005; Benedikt Boehm <hollow@gentoo.org>
  +files/0.30.208-r1/vservers.confd, +files/0.30.208-r1/vservers.initd,
  +util-vserver-0.30.208-r1.ebuild:
  misc fixes + features

*util-vserver-0.30.208 (18 Jul 2005)

  18 Jul 2005; Benedikt Boehm <hollow@gentoo.org>
  -files/0.30.205/vprocunhide, -files/0.30.205/vservers.confd,
  -files/0.30.205/vservers.initd, -files/0.30.205/vshelper-shutdown-hack,
  +files/vprocunhide, files/vservers.initd, -util-vserver-0.30.196.ebuild,
  -util-vserver-0.30.204.ebuild, -util-vserver-0.30.205.ebuild,
  util-vserver-0.30.205-r1.ebuild, util-vserver-0.30.207.ebuild,
  +util-vserver-0.30.208.ebuild:
  Version bump; 205-r1 to stable; cleanup

  15 Jun 2005; Benedikt Boehm <hollow@gentoo.org>
  util-vserver-0.30.207.ebuild:
  fixed vshelper hack

  12 Jun 2005; Benedikt Boehm <hollow@gentoo.org>
  +files/0.30.205/vshelper-shutdown-hack, util-vserver-0.30.207.ebuild:
  fix vshelper + barrier warning

*util-vserver-0.30.207 (17 May 2005)

  17 May 2005; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.207.ebuild:
  Version bump

*util-vserver-0.30.205-r1 (07 Apr 2005)

  07 Apr 2005; Benedikt Boehm <hollow@gentoo.org>
  +files/0.30.205/vservers.confd, +files/0.30.205/vprocunhide,
  +files/0.30.205/vservers.initd, +util-vserver-0.30.205-r1.ebuild:
  added vprocunhide init script, small fixes

*util-vserver-0.30.205 (30 Mar 2005)

  30 Mar 2005; Benedikt Boehm <hollow@gentoo.org>
  -files/0.30.196/vservers.confd, -files/0.30.196/vservers.initd,
  -files/rebootmgr.initd, +files/vservers.confd, files/vservers.initd,
  -util-vserver-0.30.ebuild, util-vserver-0.30.196.ebuild,
  util-vserver-0.30.204.ebuild, +util-vserver-0.30.205.ebuild:
  bump to 0.30.205; 196 to stable; clean up of files/

  26 Feb 2005; Benedikt Boehm <hollow@gentoo.org>
  util-vserver-0.30.196.ebuild, util-vserver-0.30.204.ebuild:
  fixed missing /var/lock/vservers for new init script + fixed
  a bugs

  25 Feb 2005; Benedikt Boehm <hollow@gentoo.org>
  files/0.30.196/vservers.confd, files/0.30.196/vservers.initd:
  updated conf.d & init.d scripts

*util-vserver-0.30.204 (23 Feb 2005)

  23 Feb 2005; Benedikt Boehm <hollow@gentoo.org>
  +util-vserver-0.30.204.ebuild:
  Version bump

  10 Feb 2005; Benedikt Boehm <hollow@gentoo.org>
  util-vserver-0.30.196.ebuild:
  fixed DEPEND

*util-vserver-0.30.196 (23 Jan 2005)

  23 Jan 2005; Benedikt Boehm <hollow@gentoo.org> +metadata.xml,
  -files/configure.patch, -files/vprocunhide,
  -files/vserver-build-029p214.patch, -files/vservers-conf.d,
  -files/vservers-init, +files/0.30.196/vservers.confd,
  +files/0.30.196/vservers.initd, -util-vserver-0.29_p214.ebuild,
  +util-vserver-0.30.196.ebuild:
  Removed old versions. Added 0.30.196

  19 Sep 2004; Michael Imhof <tantive@gentoo.org> -util-vserver-0.29.5.ebuild,
  -util-vserver-0.29_p196-r1.ebuild:
  Cleaned out old ebuilds.

*util-vserver-0.29_p214 (25 Aug 2004)

  25 Aug 2004; Michael Imhof <tantive@gentoo.org> +files/vprocunhide,
  +files/vserver-build-029p214.patch, +files/vservers-conf.d,
  +files/vservers-init, +util-vserver-0.29_p214.ebuild:
  Version bumped. Closes #58770.

*util-vserver-0.30 (09 Jul 2004)

  09 Jul 2004; Michael Imhof <tantive@gentoo.org> +util-vserver-0.30.ebuild:
  Version bumped. Closes #56572.

  07 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org>
  util-vserver-0.29.ebuild:
  clean older ebuild

  12 May 2004; David Holm <dholm@gentoo.org> util-vserver-0.29.5.ebuild:
  Added to ~ppc.

*util-vserver-0.29.5 (11 May 2004)

  11 May 2004; Michael Imhof <tantive@gentoo.org> util-vserver-0.29.5.ebuild:
  Version bumped. Added inherit eutils. Closes #49006.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> util-vserver-0.29.ebuild:
  Add inherit eutils

*util-vserver-0.29_p196-r1 (25 Mar 2004)

  25 Mar 2004; Michael Imhof <tantive@gentoo.org> util-vserver-0.29_p196-r1.ebuild:
  New version. Closes #45729.

*util-vserver-0.29 (25 Mar 2004)

  25 Mar 2004; Michael Imhof <tantive@gentoo.org> util-vserver-0.29.ebuild,
  files/configure.patch:
  Initial ebuild. Submitted by Ole Tange <bugs.gentoo.org@tange.dk>. Closes
  #45053.

